# Copyright 2014,2018 VMware, Inc.
# All rights reserved. -- VMware Confidential

"""ESX private SSH key

WARNING: VMWARE CONFIDENTIAL - DO NOT DISTRIBUTE!

This file contains a pair of private/public SSH keys which allow root
access to ESX. The public key is installed on developer builds of ESX.

  Never distribute this file/keys to partners.
  Never ship this file/keys with the product.

WARNING: VMWARE CONFIDENTIAL - DO NOT DISTRIBUTE!

This file contains a pair of private/public SSH keys which allow root
access to ESX. These keys are used for development purposes only, mainly
to facilitate automation scripts that require connecting to a remote ESX.
"""

from borautils.ssh import getPublicKey
import inspect

'''
-----BEGIN RSA PRIVATE KEY-----
MIIEqgIBAAKCAQEA0BegcRqi4RcNnsp4THhTtKL8XSrRZW2fNsEZXQi1YqF+4oCD
Us/XM0QBoeZYDHdTP+jS7JYpDwQBHpc7DXBmlj/f1VsdnMjDxuYpa0VroMl1KXgB
jCYd8CBWkZ7tf1K2zKMPuGG8D2kb84BzFfYrgqObnwmFMf2joNazo1Jx3JPJ0eOQ
gPdeBDAiB6BIKVsNQju51EofbyYxhxiGKB7n5zwtalViBRnJ7mwl/IhFOs5WU7Ru
Ly8nDSzY6UF6fDpNm4BeWfoaB7BHBro6tzZ31zAaZQGdBAInMxkHuukznlDDKD4f
ppnwyMPJaVPatB//hg7tE2npzv9O03+eaRVleQIDAQABAoIBAQCdlnbzkKdu7QVs
joqB5tIFRzT03XtMY7MiRSQPF4w90G2F3KsXKL0hXswZrpZZgngyOwCZGLKpY2/x
mben2spl2KOLMQCA/m19EEqnqR/z2Pz4VaBeYXNkqSjGCOR0+s/is04xZRqFVSVM
x6bgJ9gVjA9LZmtPS3UCVfYepk4CKzAXG5xAwGsyaPYQwisQC8AJdo8IKuQZPB91
YXvPBRzZYT6XUe9FFZyzXcQhm6xcw/z0i6xzVlBcbLncqCulClxdWS7/eZ9p769G
1ikClPCpLpAAXAuNN0mkZyqypb/BTwBrVzD9jK/hhTKvlTSzMiIDlQgn4FJ3QPNM
npuTzv5xAoIAgQDjAWIj2XJIBs1jQ/pQUcOAxs+auZGQQY5isASOFsTFbupincO5
O6+MLJkNmaR3kTbrHELjPmQiieK80FM969OdNZ6XeyP9nT7wzkzE7kWtKgNtA+59
NKmIPz8ZQzuLCzBOP+ooyxL4KV2VK/EVSu3pfxso7pR1aNLv7WxcbEZMxQKCAIEA
6qvSrCSlXDUaMx2/ivGmyQbCYJZiz2p/kQ80BoH9O79EqkECdpP7syejI12qbis+
KkIfZTg3ztbgIXG/R/j9wFKKoSgL+Nu9OJ7pM/GLjujI/yaCgLqKE8IwvxTPtxLg
vD3oUFCxwqHRZd8wlOmnKvxgwJh5pk+NlPkT+UWp6SUCggCBAMD6LxTsyLMkXTvy
0Puw1nNGD7yn3m/02vdYTTcBchupE8Xr+jQg4jZWv3IJWABxSW+LYe1O389gyoja
zLkKHqY5q+14uHrkT1pk9mw/Zqoz2h+1xOtZdnml0p1GQ3sLcvBCc2xkXmbqu2yR
o2wHe8MQ0+TzFO/OwetHOeREA2tFAoIAgEWaPNwN6nXU0jaDBkLBtcQ+Gvzm3dvD
LJ7rsXSUrXVBH66XpZFiBu92PC7LIzeV39RM1F8DM5pHpSaGREOmmCyozrFJ3XMs
SY03pNdhNxFl/eeflmlz6mw91pN2Kr2T/dAXVIYtyOt/b0oVzqT8QDbBsDivgLVR
Nx8OWVw/y0t5AoIAgQCa6aZZ/1nZYP+EPaN6XZyJMLsHqz2/RCIVlGluJjI3b8Nc
C9Uh1Zv7dQlj3sa1+5qYJUjPI8BG45acJOHvTCluGqD0nQQv4agj+eFbDyoDoqYX
y4oeZ2XODexw0SkmREkfxzDZ/MsY6hFAcHj2AUfQ0BLEqQGunumXiHUWs/gnJA==
-----END RSA PRIVATE KEY-----
'''

def getEsxPublicKey():
   return getPublicKey(getEsxKeyFile())

def getEsxKeyFile():
   return inspect.getsourcefile(getEsxKeyFile)
